package com.sw.mes.auth.service;

import com.sw.mes.auth.domain.AuthUserRole;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_user_role(【系统域—系统管理】用户角色表)】的数据库操作Service
* @createDate 2022-05-19 14:22:04
*/
public interface AuthUserRoleService extends IService<AuthUserRole> {
    void deleteByUserId(Integer userId);

    List<AuthUserRole> findByUserId(Integer userId);
    List<AuthUserRole> findByUserIds(Integer userId,Integer type);

    String getRoleNamesByUserId(Integer id);
}
